// Copyright (c)2005, TopCoder, Inc. All rights reserved
// @author TCSDEVELOPER
// @version 2.0

using System;

namespace TopCoder.Util.ConfigurationManager
{
    /// <summary>
    /// DataHandleException will be thrown by IDataHandler and its subclasses 
    /// if they fail to load or save the configuration values during  persistence. 
    /// It  encapulates different exceptions thrown from the underlying persistence.
    /// </summary>
    [Serializable]
    public class DataHandleException : Exception
    {
        /// <summary>
        /// Creates a new instance of DataHandleException with an error message.
        /// </summary>
        /// <param name="message">Error message describing why this exception was thrown.</param>
        public DataHandleException(string message) : base(message)
        {
        }

        /// <summary>
        /// Creates a new instance of DataHandleException with an error message 
        /// and inner exception.
        /// </summary>
        /// <param name="message">Error message describing why this exception was thrown.</param>
        /// <param name="innerException">The inner exception object.</param>
        public DataHandleException (string message, Exception innerException) :
            base (message, innerException)
        {
        }
    }
}
