// Copyright (c)2003, TopCoder, Inc. All rights reserved
// @author BAman
// @author adic
// @version 1.0

using System;
using System.Runtime.Serialization;

namespace TopCoder.Util.ConfigurationManager
{
    /// <summary>
    /// Exception thrown when a property name conflict occurs
    /// (a property is loaded and a property with the same name 
    /// already exists in the owner namespace).
    /// </summary>
    [Serializable]
    public class PropertyClashException: Exception
    {
        /// <summary>
        /// Constructor.
        /// </summary>
        public PropertyClashException(): base()
        {
        }

        /// <summary>
        /// Constructor.
        /// </summary>
        /// 
        /// <param name="message">the error message</param>
        public PropertyClashException(string message): base(message)
        {
        }
        
        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="info">the serialization info</param>
        /// <param name="context">the streaming context</param>
        public PropertyClashException(SerializationInfo info, StreamingContext context): base(info, context)
        {
        }

        /// <summary>
        /// Constructor.
        /// </summary>
        /// 
        /// <param name="message">the error message</param>
        /// <param name="inner">the inner exception</param>
        public PropertyClashException(string message, Exception inner): 
                base(message, inner)
        {
        }
    }
}
