/*
	Copyright c 2003, TopCoder, Inc. All rights reserved.
	Author pzhao
*/

using System;
using NUnit.Framework;

using TopCoder.Util.ConfigurationManager;

namespace TopCoder.Util.ConfigurationManager.AccuracyTests
{
    /// <summary>
    /// Accuracy test cases related to the ConfigFile class.
    /// </summary>
    [TestFixture]
    public class ConfigFileAccuracyTest
    {
        /// <summary>
        /// The configuration manager instance.
        /// </summary>
        private ConfigManager cm = null;

        /// <summary>
        /// The configuration file instance.
        /// </summary>
        private ConfigFile cf = null;

        /// <summary>
        /// Initialization
        /// </summary>
        [SetUp]
        public void SetUp()
        {
            cm = ConfigManager.GetInstance();
            
        }

        /// <summary>
        /// Test get namespaces.
        /// </summary>
        [Test]
        public void TestGetNamespaces()
        {
            cf = cm.LoadFile(@"..\..\test_files\AccuracyTest.ini");
            Assertion.AssertEquals(cf.Namespaces.Length, 2);
            Assertion.AssertEquals(cf.Namespaces[0].Name, "AccuracyNamespace1");
            Assertion.AssertEquals(cf.Namespaces[1].Name, "AccuracyNamespace2");
            cm.RemoveFile(@"..\..\test_files\AccuracyTest.ini");

            cf = cm.LoadFile(@"..\..\test_files\AccuracyTest.xml");
            Assertion.AssertEquals(cf.Namespaces.Length, 2);
            Assertion.AssertEquals(cf.Namespaces[0].Name, "AccuracyNamespace3");
            Assertion.AssertEquals(cf.Namespaces[1].Name, "AccuracyNamespace4");
            cm.RemoveFile(@"..\..\test_files\AccuracyTest.xml");
        }
    }
}